 <?php
/*
 *      info.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2015-08-24 Klaus Munsteiner: Neues Design Version 1.82, Versionskontrolle eingefuegt



include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
//2015-08-24 KM: Versionsnummer aus vs_version.inc.php;
include_once "../vs_office_inc/vs_version.inc.php";
//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";

function seite($top,$bottom,$middle)
	{
		//2014-11-26 KM: Formatierung geaendert
		$seite=new vs_div( "", "", "", "", "", "vs_seite");
		$oben=new vs_div("1150","15","left");
		$oben->add($top);
		$mitte=new vs_div("1150","630","center");
		$unten=new vs_div("1150","15","left");
		$unten->add($bottom);
		
		$mitte->add($middle);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
	
$db = new vs_db();
$db->connect();

office_login($db);

//2015-08-24 KM: Datenbank-Version abfragen
$db->query("Select db_version from vs_db_version where db_version_aktiv = '1'");
$row=$db->fetch_row();
$db_version=$row[0];
$db->free_result();


$b = new vs_page_begin("VS-Office [Info]","../vs_office_inc/","../vs_office_inc/head.inc","../vs_office_inc/body.inc");
$b->write();

//********************************************************************



$top=new vs_text("");
//$bottom=navliste("Info über Vetsoft","","","../hilfe/help.php");
$bottom= new vs_text("");
$middle=new vs_div("600","620","center","white");
//2015-08-24 KM: Versionsnummer aus vs_version.inc.php;
$middle->add(new vs_text("<h1>VETSOFT OFFICE ". vs_version."</h1>" .
						"<h2>Praxisverwaltungsprogramm f&uuml;r Tier&auml;rzte</h2><br>" .
						"<b>von Dr. Norbert Klumpp Andernach,</b><br>" .
						"<b>jetzt Vetsoft Office Projekt (GPL)</b><br>" .
						"Dirk Walter, Klaus Munsteiner<br><br>".
						
						"<b>http://www.vetsoft.de/<br>" .
						"http://sourceforge.net/projects/vetsoft/</b><br><br><br>" .
						
						"Mein besonderer Dank und mein Respekt gehören der Linux - Community und den vielen Open Source Entwicklern, ohne deren ".
											"  freiwillige Arbeit die Entwicklung dieses Programmes nicht m&ouml;glich gewesen w&auml;re (Dr.Klumpp).</b><br><br><br>" .
						
						"<img src=\"../img/linux.jpeg\" width=\"61\" height=\"72\">" .
						"<img src=\"../img/apache.jpg\" width=\"125\" height=\"70\">" .
						"<img src=\"../img/php.jpg\">" .
						"<img src=\"../img/postgres.jpg\">" .
						"<br><br>Optimiert im Serverbereich f&uuml;r ein Linux-Apache-Postgresql-PHP System" .
						
						"<br>&nbsp;<br>&nbsp;" .
						"<img src=\"../img/firefox.jpg\" width=\"70\" height=\"70\"> &nbsp;" .
						"<img src=\"../img/chrome.jpg\" width=\"70\" height=\"70\">" .
						"<br>&nbsp;<br>&nbsp;" .
						"Optimiert f&uuml;r die Browser Firefox / Iceweasel und Chrome / Chromium." .
						"<br>&nbsp;" .
						"<br>F&uuml;r Android Chrome oder Opera verwenden." .
						"<br>&nbsp;<br>&nbsp;" .
						
						"<br><hr>" .
						"<br>Vetsoft Office Version: ". vs_version.", " .vs_build .
						"<br>PHP Version: ". php_version.
						"<br>Datenbank Version &nbsp;&nbsp;&nbsp; SOLL: ". db_version_soll." &nbsp;&nbsp;&nbsp;IST: ".$db_version ));

seite($top,$bottom,$middle);
//****************************************************************************************
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot.inc");

$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
