-- Description:	SQL-Skript zum Aktualisieren der Vetsoft Office DB von Version 1.74 und 1.8 auf 1.81
-- Author:		Dirk Walter, Klaus Munsteiner
-- Create Date:	2015-08-24


----------------------------------
-- Teil 1 - Strukturaenderungen --
----------------------------------

-- Tabelle vs_behandlung
-- Column: rechnung_neu

-- ALTER TABLE vs_behandlung ADD COLUMN rechnung_neu;

ALTER TABLE vs_behandlung ADD COLUMN rechnung_neu bigint;
COMMENT ON COLUMN vs_behandlung.rechnung_neu IS '2015-06-08 KM: besitzer_id wird gesetzt, wenn eine Einzelrechnung  in vs_rechnung neu erzeugt wird.';

-- Tabelle vs_bezahlt
-- Column: bez_bemerkung

-- ALTER TABLE vs_bezahlt RENAME COLUMN bez_bemerkung;

ALTER TABLE vs_bezahlt RENAME COLUMN bemerkung TO bez_bemerkung;
COMMENT ON COLUMN vs_bezahlt.bez_bemerkung IS '2015-06-08 KM: Spaltennahme geändert von bemerkung auf bez_bemerkung';


-- Tabelle vs_rech_bez
-- Column: bez_bemerkung

-- ALTER TABLE vs_rech_bez RENAME COLUMN bez_bemerkung;

ALTER TABLE vs_rech_bez RENAME COLUMN bemerkung TO bez_bemerkung;
COMMENT ON COLUMN vs_rech_bez.bez_bemerkung IS '2015-06-08 KM: Spaltennahme geändert von bemerkung auf bez_bemerkung';

-- Tabelle vs_rech_bez
-- Column: bezahlt_id

-- ALTER TABLE vs_rech_bez ADD COLUMN bezahlt_id;

ALTER TABLE vs_rech_bez ADD COLUMN bezahlt_id bigint;
COMMENT ON COLUMN vs_rech_bez.bezahlt_id IS '2015-06-08 KM: bezahlt_id aus vs_bezahlt, wird gesetzt, wenn eine Einzelrechnung  in vs_rechnung neu erzeugt wird.';
