/*
 *      behdoc.js
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */





//------------------begin of file------------------------

//allgemeine Funktion zum Erzeigen des Requestobjectes incl. Browserweiche

function createXMLHttpRequest()
{
	var resObject = null;
	try
		{
		resObject = new ActiveXObject("Microsoft.XMLHTTP");
		}
	catch (Error)
		{
		try
			{
			resObject = new ActiveXObject("MSXML2.XMLHTTP");
			}
		catch (Error)
			{
			try
				{
				resObject = new XMLHttpRequest();
				}
			catch (Error)
				{
				alert("VS-Office  AJAX Anforderung nicht moeglich. Ueberpruefen SIe Ihren Browser und  die Einstellungen.");
				}
			}
		}
	return resObject;
} 


var resObject;

resObject = createXMLHttpRequest();


function send_vorlage_replace_req(besitzer_id,patient_id,behandlung_id)
{  
	var mustertext_id = document.getElementsByName("vorlage")[0].value;
	resObject.open('get','handle_vorlage_insert.php?besitzer_id=' + besitzer_id +'&patient_id=' + patient_id + '&behandlung_id=' + behandlung_id + '&mustertext_id=' + mustertext_id,true);
	resObject.onreadystatechange = handle_vorlage_replace_response;
	resObject.send(null);
}


function send_vorlage_insert_req(besitzer_id,patient_id,behandlung_id)
{  
	var mustertext_id = document.getElementsByName("vorlage")[0].value;
	resObject.open('get','handle_vorlage_insert.php?besitzer_id=' + besitzer_id +'&patient_id=' + patient_id + '&behandlung_id=' + behandlung_id + '&mustertext_id=' + mustertext_id,true);
	resObject.onreadystatechange = handle_vorlage_insert_response;
	resObject.send(null);
}


function handle_vorlage_replace_response()
{
	
	if (resObject.readyState==4)
	{
		var rt= resObject.responseText;
		var a = eval(" (" + rt + ")");
		if (a.success=='ok') 
		{
			var oEditor = CKEDITOR.instances.id_memo_1;
			oEditor.setData( a.value );
			var ed = document.getElementById("id_memo_1");
			ed.form.submit.disabled = false;
			ed.form.reset.disabled = false;
		}
		else
		{
			alert('Fehler beim Einf&uuml;gen von Text');
		}
	}
}


function handle_vorlage_insert_response()
{
	if (resObject.readyState==4)
	{
		var rt= resObject.responseText;
		var a = eval(" (" + rt + ")");
		if (a.success=='ok') 
		{
			var oEditor = CKEDITOR.instances.id_memo_1;
			if ( oEditor.mode == 'wysiwyg' )
			{
				oEditor.insertHtml( a.value );
				var ed = document.getElementById("id_memo_1");
				ed.form.submit.disabled = false;
				ed.form.reset.disabled = false;
			}
			else	alert( ' Fehler! Der Editor mu&szlig; im WYSIWYG Modus sein !' );
		}
		else
		{
			alert('Fehler beim Einf&uuml;gen von Text');
		}
	}
}


