/*
 *      kartei.js
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */





//------------------begin of file------------------------

//allgemeine Funktion zum Erzeigen des Requestobjectes incl. Browserweiche

function createXMLHttpRequest()
{
	var resObject = null;
	try
		{
		resObject = new ActiveXObject("Microsoft.XMLHTTP");
		}
	catch (Error)
		{
		try
			{
			resObject = new ActiveXObject("MSXML2.XMLHTTP");
			}
		catch (Error)
			{
			try
				{
				resObject = new XMLHttpRequest();
				}
			catch (Error)
				{
				alert("VS-Office  Asynchrone Anforderung nicht moeglich. Ueberpruefen SIe Ihren Browser und  die Einstellungen.");
				}
			}
		}
	return resObject;
} 

function f_db2dis(s)
{
	var teile = s.split(".");
	var teil1       = teile[0];
	var teil2       = teile[1]; 
	return teil1+','+teil2;
}	


function f_dis2db(s)
{
	return s.replace(/,/g, ".");
}	

var resObject;

resObject = createXMLHttpRequest();

   
//WICHTIG FUER DAS FUNKTIONIEREN MIT DEM MOZILLA FIREFOX
//MUSS IN DEN EINSTELLUNGEN / ERWEITERT / SUCHE BEREITS BEIM EINTIPPEN STARTEN DEAKTIVIERT SEIN!!!!!!!!!!!

function send_kurz_req()
{  
	kurz=this.document.pos_kurz.kurz.value;
	lfaktor=this.document.pos_kurz.faktor.value;
	resObject.open('get','handlekurz.php?wert=' + kurz +'&faktor=' + lfaktor,true);
	resObject.onreadystatechange = handle_kurz_response;
	resObject.send(null);
}


function send_all_req()
{
	all=this.document.pos_all.all.value;
	lfaktor=this.document.pos_all.all_faktor.value;
	resObject.open('get','handleall.php?wert=' + all +'&faktor=' + lfaktor,true);
	resObject.onreadystatechange = handle_all_response;
	resObject.send(null);
}


function handle_kurz_response()
//Neu 30.9.2009 Ergebnistext als json - string 
{
	if (resObject.readyState==4)
	{
		var rt= resObject.responseText;
		var a = eval(" (" + rt + ")");
		if (a.success=='ok') 
		{
			document.pos_kurz.kurz.style.color = "green";  
			document.getElementsByName("div_ajax_result")[0].innerHTML = a.inner_html_1;
			document.pos_kurz.faktor.disabled=false;
			document.pos_kurz.submit_kurz.disabled=false;
			//Faktor nur bei Leistungen und Standardbehandlungen
			document.pos_kurz.faktor.disabled=true;
			if(a.typ=='L') document.pos_kurz.faktor.disabled=false;
			if(a.typ=='S') document.pos_kurz.faktor.disabled=false;
		}
		else
		{
			document.pos_kurz.kurz.style.color = "red"; 
			document.getElementsByName("div_ajax_result")[0].innerHTML = a.inner_html_1;
			document.pos_kurz.faktor.disabled=true;
			document.pos_kurz.submit_kurz.disabled=true;
		}
	}
}


function handle_all_response()
//Neu 30.9.2009 Ergebnistext als json - string 
{
	if (resObject.readyState==4)
	{
		rt = resObject.responseText;
		var a = eval(" (" + rt + ")");
		if (a.success=="ok") 
		{
			document.pos_all.all.style.color = "green";  
			//document.getElementsByName("div_ajax_result")[0].innerHTML = a.inner_html_2; (unnoetig, Text wird von all_lb_changed abgeloest)
			document.getElementsByName("div_all_result")[0].innerHTML = a.inner_html_1;
			document.pos_all.submit_all.disabled=false;
			document.pos_all.all_faktor.disabled=true;
			//Faktor nur bei Leistungen und Standardbehandlungen
			if(a.typ=='l') document.pos_all.all_faktor.disabled=false;
			if(a.typ=='s') document.pos_all.all_faktor.disabled=false;
			all_lb_changed();
		}
		else
		{
			document.pos_all.all.style.color = "red"; 
			document.getElementsByName("div_ajax_result")[0].innerHTML = a.inner_html_2; 
			document.getElementsByName("div_all_result")[0].innerHTML = a.inner_html_1;
			document.pos_all.all_faktor.disabled=true;
			document.pos_all.submit_all.disabled=true;
		}
	}
}


function all_lb_changed()
//wird von der Auswahllistbox in div_all_result aufgerufen
{
	var id = -100;
	var e_text=document.pos_all.all.value;
	var faktor=document.pos_all.all_faktor.value;
	faktor=f_dis2db(faktor);
	id=document.pos_all.lbchoice.options[document.pos_all.lbchoice.options.selectedIndex].value;
	if (id > -100)  //Listbox ist nicht da, produziert keine plausiblen id-Werte
	{
		resObject.open('get','handle_all_lb.php?text=' + e_text + '&id=' + id + '&faktor=' + faktor,true);
		resObject.onreadystatechange = handle_all_lb_response;
		resObject.send(null); 
		
		//neu falls die Listbox da ist sollte eingefügt werden können
		//document.pos_all.submit_all.disabled=false;
		//document.pos_all.all_faktor.disabled=true;
		//Faktor nur bei Leistungen und Standardbehandlungen
		//if(a.typ=='l') document.pos_all.all_faktor.disabled=false;
		//if(a.typ=='s') document.pos_all.all_faktor.disabled=false;
		
	}
}

function handle_all_lb_response()
//Neu 30.9.2009 Ergebnistext als json - string 
{
	if (resObject.readyState==4)
	{
		var rt= resObject.responseText;
		var a = eval(" (" + rt + ")");
		if (a.success=="ok") 
		{
			document.getElementsByName("div_ajax_result")[0].innerHTML = a.inner_html_1;
			
		}
		else
		{
			document.getElementsByName("div_ajax_result")[0].innerHTML = "";
			
		}
	}
}


//--------------------------------------------------------------------------------

// regulaere Ausdruecke:  http://de.selfhtml.org/javascript/objekte/regexp.htm

function einzelpreis_onkeyup()
{
	//erst Daten erfassen
	ep=this.document.behpos_neu.einzelpreis.value;
	ep=ep.replace(/,/,".");
	
	menge=this.document.behpos_neu.menge.value;
	menge=menge.replace(/,/,".");
	
	mwst=this.document.behpos_neu.mwst.value;
	mwst=mwst.replace(/,/,".");
	
	//jetzt beginnt das Rechnen
	netto=String(ep*menge);
	netto=netto.replace(/\W/,",");

	brutto=String(ep*menge*(1+mwst/100));
	brutto=brutto.replace(/\W/,",");
	
	this.document.behpos_neu.netto.value=netto;
	this.document.behpos_neu.brutto.value=brutto;
}




function menge_onkeyup()
//ebenso von vorne nach hinten rechnen
{
	einzelpreis_onkeyup();
}

function mwst_onchange(B)
//ebenso von vorne nach hinten rechnen
{
	einzelpreis_onkeyup();
	mwst=this.document.behpos_neu.mwst.value;
	//mwst=mwst.replace(/,/,".");
	if (mwst== B ) 
	{
		this.document.behpos_neu.typ.value = 'F';
	}
	else
	{
		this.document.behpos_neu.typ.value = 'V';
	}
}

function typ_onchange(A,B)
{
	typ=this.document.behpos_neu.typ.value;
	if (typ=='F')  
	{
		this.document.behpos_neu.mwst.value = B;
	}
	 else
	{
		this.document.behpos_neu.mwst.value = A;
	}
	einzelpreis_onkeyup();
}

function netto_onkeyup()
//menge,mwst bleiben stehen,einzelpreis und brutto werden angepasst 
{
	//erst Daten erfassen
	netto=this.document.behpos_neu.netto.value;
	netto=netto.replace(/,/,".");
	
	menge=this.document.behpos_neu.menge.value;
	if (menge==0)
	{
		menge="0,001"; //sonst division by zero!!
		this.document.behpos_neu.menge.value=menge;
		alert("Die Menge darf hier nicht 0 sein. (Division durch 0, Ihr Dreisatzspezialisten!!)  Sie wurde deshalb auf 0,001 gesetzt");
	}   
	menge=menge.replace(/,/,".");
	
	mwst=this.document.behpos_neu.mwst.value;
	mwst=mwst.replace(/,/,".");
	
	ep=String(netto/menge);
	brutto=String(ep*menge*(1+mwst/100));
	
	ep=ep.replace(/\W/,",");
	brutto=brutto.replace(/\W/,",");
	
	this.document.behpos_neu.einzelpreis.value=ep;
	this.document.behpos_neu.brutto.value=brutto;
}

function brutto_onkeyup()
//menge,mwst bleiben stehen,einzelpreis und netto werden angepasst 
//Rechnen total von rueckwaerts
{
	//erst Daten erfassen
	brutto=this.document.behpos_neu.brutto.value;
	brutto=brutto.replace(/,/,".");
	
	mwst=this.document.behpos_neu.mwst.value;
	mwst=mwst.replace(/,/,".");
	
	menge=this.document.behpos_neu.menge.value;
	if (menge==0)
	{
		menge="0,001"; //sonst division by zero!!
		this.document.behpos_neu.menge.value=menge;
		alert("Die Menge darf hier nicht 0 sein. (Division durch 0, Ihr Dreisatzspezialisten!!)  Sie wurde deshalb auf 0,001 gesetzt");
	}   
	menge=menge.replace(/,/,".");
	
	netto = String(brutto/(1+mwst/100));
	ep = String(netto/menge);
	netto=netto.replace(/\W/,",");
	ep=ep.replace(/\W/,",");
	
	this.document.behpos_neu.einzelpreis.value=ep;
	this.document.behpos_neu.netto.value=netto;

}



function tastegedrueckt(Ereignis,Taste)
{
	if (!Ereignis)
	{
		Ereignis = window.event;
	}
	if (Ereignis.which)
	{
		key_code = Ereignis.which;
	}
	else if (Ereignis.keyCode)
	{
		key_code = Ereignis.keyCode;
	}
	erg=false;
	if (key_code==Taste) 
	{
		erg=true;
	}
	return erg;
}



function all_edit_key(Ereignis)
{
	if (tastegedrueckt(Ereignis,40)) // unten
	{
		lb=document.pos_all.lbchoice;
		lb.selectedIndex = lb.selectedIndex + 1;
		all_lb_changed();
	}
	else if (tastegedrueckt(Ereignis,38)) //oben
	{
		lb=document.pos_all.lbchoice;
		lb.selectedIndex = lb.selectedIndex  - 1;
		all_lb_changed();
	}
	else send_all_req();
}

//----------------end of file--------------------------

