 <?php
/*
 *      rueckgeld.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_lib/vs_form_objects.php";

//2014-12-01 KM: wegen charset Fehler eingefuegt:
//			Use of undefined constant charset - assumed 'charset' in
include_once "../vs_office_inc/config.inc.php";



extract($_REQUEST, EXTR_PREFIX_ALL | EXTR_REFS, 'vso');

$b = new vs_page_begin("WECHSELGELD", "../vs_office_inc/", "../vs_office_inc/head_kartei.inc", "../vs_office_inc/body.inc");
$b->write();
echo "<script language=\"javascript\" src=\"" . "rueckgeld.js\"></script>";
//********************************************************************

//2014-12-07 KM: Formatierung geaendert
$seite = new vs_div;
$seite->set_css_class("vs_seite");

$nl = new vs_div(240, 210);
$nl->set_css_class("vs_seite");

$t = new vs_form_x("t", 4);
$t->set_cellspacing(5);

$c = new vs_text("<h2>Wechselgeld-Rechner</h2>");
$t->add_control(1, $c);

$c          = new vs_d_edit("betrag", 8, 8, $vso_betrag, "Betrag&nbsp;&nbsp;&nbsp;&nbsp;");
$c->onkeyup = " onkeyup=\"javascript:{betrag_onkeyup()}\" ";
$t->add_control(2, $c);

$c          = new vs_d_edit("gegeben", 8, 8, "0,0");
$c->onkeyup = " onkeyup=\"javascript:{betrag_onkeyup()}\" ";
$t->add_control(3, $c);

$c = new vs_d_edit("zurueck", 8, 8, "0,0", " Zur&uuml;ck&nbsp;&nbsp; &nbsp;");
$t->add_control(3, $c);
$c = new vs_close("Schlie&szlig;en");
$t->add_control(5, $c);

$nl->add($t);
//$nl->write(); 
$seite->add($nl);
$seite->write();
//****************************************************************************************

$e = new vs_page_end("../vs_office_inc/", "../vs_office_inc/foot_kartei.inc");
$e->write();

?>
