 <?php
/*
 *      showdoc.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */



//---------------------------------------------------------------------------------------
// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";


function ldt_file_to_array(string $fname, $ldt_list, string $error)
	{
	if (file_exists($fname))
		{
		$file = fopen($fname, r);
		if ($file)
			{
			$i = 0;
			while (!feof($file))
				{
				$zeile        = fgets($file, 100);
				$ldt_list[$i] = $row;
				$i++;
				}
			}
		}
	}

function ldt_str_get_length(string $s, int &$fk, int &$v, int &$r)
	{
	$r   = 0;
	$fk  = 0;
	$v   = 0;
	$top = 0;
	$s1  = substr($s, 0, 7); //erste 7 Zeichen sind Zahlen
	if (!is_int($s1))
		{
		$r = -1;
		}
	else
		{
		$fk = substr($s, 3, 4);
		if (($fk == 8100) or ($fk == 9202)) // Summenangaben
			{
			$n = substr($s, 0, 3); //Summe Feld
			$v = substr($s, 7, $n - 9); //Summe Satz(8100) oder Bericht (9292)
			if (!is_int($v))
				{
				$v    = -1;
				$r    = -1;
				$stop = 1; //Abbruch erzwingen mit $r=-1
				}
			}
		if ($stop == 0) //nicht abgebrochen
			$n = substr($s, 0, 3);
		$r = $n;
		}
	return $r;
	}

function ldt_str_get_data(string $s, int $fk, string $data)
	{
	$fk   = substr($s, 3, 4);
	$n    = substr($s, 0, 3);
	$data = substr($s, 7, $n - 9);
	}

function check_ldt($ldt, $error)
	{
	$error = "";
	$fk    = 0;
	$v     = 0;
	$fl    = 0;
	$satz  = 0;
	$sz    = 0;
	$sl    = 0;
	$fs    = 0;
	
	
	for ($i = 0; $i++; $i < count($ldt))
		{
		$s = $ldt[$i];
		ldt_str_get_length($s, $fk, $v, $fl);
		if ($fl <= 0)
			{
			//2014-12-15 KM: Rechtschreibfehler
			//if($fl==0) $error=$error."Felerin Zeile ".($n+1)."Feldlänge oder Feldkennung nicht korrekt";
			if ($fl == 0)
				$error = $error . "Fehler in Zeile " . ($n + 1) . "Feldlänge oder Feldkennung nicht korrekt";
			//if($fl<0) $error=$error."Felerin Zeile ".($n+1)."Wert für Satzlänge nicht korrekt";
			if ($fl < 0)
				$error = $error . "Fehler in Zeile " . ($n + 1) . "Wert für Satzlänge nicht korrekt";
			}
		else //$fl>0
			{
			if ($fk == 8000) //neuerSatz
				{
				if ($satz > 0)
					{
					//2014-12-15 KM: Rechtschreibfehler
					//if($sz!=$sl) $error=$error."Felerin Satz ".$satz."Satzlänge nicht korrekt";
					if ($sz != $sl)
						$error = $error . "Fehler in Satz " . $satz . "Satzlänge nicht korrekt";
					}
				$satz++;
				$sz = $fl;
				$fs = $fs + $fl;
				}
			else if ($fk == 8100) //Längenangabe für Satz
				{
				$sl = $v;
				$sz = $sz + $fl;
				$fs = $fs + $fl;
				}
			else if ($fk == 9202) //Längenangabe für Bereicht
				{
				$fss = $v;
				$sz  = $sz + $fl;
				$fs  = $fs + $fl;
				}
			else
				{
				$sz = $sz + $fl;
				$fs = $fs + $fl;
				}
			}
		} //for...
	
	if ($satz > 0)
		{
		if ($sz != $sl)
			{
			//2014-12-15 KM: Rechtschreibfehler
			//$error=$error."Felerin Satz ".$satz."Satzlänge nicht korrekt";
			$error = $error . "Fehler in Satz " . $satz . "Satzlänge nicht korrekt";
			}
		}
	if ($fss != $fs)
		{
		$error = $error . "Gesamtlänge des Datensatzes nicht korrekt";
		}
	$error = $error . "Keine Fehler";
	}


//-----------------------------------------------------------------------------------------
?>
