function reset_color(control) {
    control.style.textDecoration = 'none';
    control.style.color = 'black';
}


function checkdecimal(control) {
    reset_color(control);
    var x = control.value;
    var anum = /(^\d+$)|(^\d+\,\d+$)/
    if (anum.test(x))
        testresult = true
    else {
        alert("Bitte eine Kommazahl eingeben ! Wert wird auf 1,0 gesetzt.")
        control.focus();
        control.value = 1, 0;
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        testresult = false
    }
    return (testresult)
}




function checkinteger(control) {
    reset_color(control);
    var x = control.value;

    var anum = /(^\d+$)|(^\d+\\d+$)/
    if (anum.test(x))
        testresult = true
    else {
        alert("Bitte eine  ganze Zahl eingeben! Wert wird auf 1 gesetzt");
        control.focus();
        control.value = 1;
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        testresult = false;
    }
    return (testresult)
}



// copyright 1999 Idocs, Inc. http://www.idocs.com
// Distribute this script freely but keep this notice in place
function numbersonly(myfield, e, dec) {
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ((key == null) || (key == 0) || (key == 8) ||
        (key == 9) || (key == 13) || (key == 27))
        return true;

    // numbers
    else if ((("0123456789").indexOf(keychar) > -1))
        return true;



    else
        return false;
}

// copyright 1999 Idocs, Inc. http://www.idocs.com
// Distribute this script freely but keep this notice in place
function decimalsonly(myfield, e, dec) {
    var key;
    var keychar;

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ((key == null) || (key == 0) || (key == 8) ||
        (key == 9) || (key == 13) || (key == 27))
        return true;

    // numbers
    else if ((("0123456789,").indexOf(keychar) > -1))
        return true;



    else
        return false;
}


function numbersandpointsonly(myfield, e, dec) {
    var key;
    var keychar;

    //---------nur fuer db_edit---------------------------
    var ok;
    var cancel;
    id_ok = myfield.id + '_ok';
    ok = document.getElementById(id_ok);
    if (ok) ok.style.visibility = 'visible';
    id_cancel = myfield.id + '_cancel';
    cancel = document.getElementById(id_cancel);
    if (cancel) cancel.style.visibility = 'visible';
    //---------------------------------------------------------

    if (window.event)
        key = window.event.keyCode;
    else if (e)
        key = e.which;
    else
        return true;
    keychar = String.fromCharCode(key);

    // control keys
    if ((key == null) || (key == 0) || (key == 8) ||
        (key == 9) || (key == 13) || (key == 27))
        return true;

    // numbers
    else if ((("0123456789.").indexOf(keychar) > -1))
        return true;

    else
        return false;
}


function heute() {
    var jetzt = new Date();
    var day = jetzt.getDate();
    var month = jetzt.getMonth();
    var year = jetzt.getFullYear();
    var heute = day + '.' + month + '.' + year;
    return heute;
}


function checkdate(control) {
    reset_color(control);
    var result = true;
    var d = control.value;
    if (d.length > 10 || d.length < 8) {
        alert('Bitte eine korrektes Datum eingeben (' + control.name + ') ! Das Datum wurde auf heute gesetzt.');
        control.focus();
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        control.value = heute();
        result = false;
        exit;
    }
    var teile = d.split(".");
    var day = teile[0]; //d.substring(0, 2);
    var month = teile[1]; //d.substring(3,5);
    var year = teile[2]; //d.substring(6,10);
    if (isNaN(day) || isNaN(month) || isNaN(month)) {
        alert('Bitte ein korrektes Datum eingeben (' + control.name + ') ! Das Datum wurde auf heute gesetzt.');
        control.focus();
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        control.value = heute();
        result = false;
        exit;
    }
    if (year < 1801 || year > 2799) {
        alert('Bitte ein korrektes Datum eingeben (' + control.name + ') ! Jahreszahlen von 1801 bis 2799. Die Jahreszahl wurde auf  2010 gesetzt ');
        control.value = day + '.' + month + '.' + '2010';
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        control.focus();
        result = false;
    }
    if (month < 1 || month > 12) {
        alert('Bitte ein korrektes Datum eingeben (' + control.name + ') ! Monate von 1 bis 12. Der Monat wurde auf 1 gesetzt ');
        control.value = day + '.01.' + year;
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        control.focus();
        result = false;
    }
    var feb = 28;
    if (month == 2) {
        if (year % 4 == 0) feb += 1;
        if (year % 100 == 0) feb -= 1;
        if (year % 400 == 0) feb += 1;
    }
    var days = new Array(31, feb, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
    if (day > days[month - 1] || day < 1) {
        alert('Bitte ein korrektes Datum eingeben (' + control.name + ') ! Tage von 1 bis ' + days[month - 1] + '. Der Tag wurde auf 1 gesetzt.');

        control.value = '01.' + month + '.' + year;
        control.style.color = 'red';
        control.style.textDecoration = 'blink';
        result = false;
    }

    return result;
}
