/*     JSCookMenu (c) Copyright 2002-2006 by Heng Yuan
 *
 *     http://jscook.sourceforge.net/JSCookMenu/
 *     http://jscook.yuanheng.org/JSCookMenu/
 *     
 *     Permission is hereby granted, free of charge, to any person obtaining a
 *     copy of this software and associated documentation files (the "Software"),
 *     to deal in the Software without restriction, including without limitation
 *     the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *     and/or sell copies of the Software, and to permit persons to whom the
 *     Software is furnished to do so, subject to the following conditions:
 *     
 *     The above copyright notice and this permission notice shall be included
 *     in all copies or substantial portions of the Software.
 *     
 *     THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 *     OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *     ITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *     AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *     LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 *     FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 *     DEALINGS IN THE SOFTWARE.
 */


/*
 *      vs_office_jscookmenu_items.js
 * 
 *      Konfigurationen fuer Vetsoft Office Menues
 *      ------------------------------------------
 * 
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 * 
 * 
 *      2014-12-21 KM: Design-Aenderung fuer all_tab_v2: 
 *      Inhalte geaendert und alles kommentiert und neu formatiert.
 *      Neu: LOGOUT jetzt im Menue
 * 
 *
 */




var vs_menu =
[	//Menue Anfang
	// Folder Karteikarte Anfang
	['<img src="../img/jscookmenu/spacer.gif">', 'Karteikarte', '', '_self','descrption',    // Folder Anfang
		['<img src="../img/jscookmenu/kartei.gif">', 'Karteikarte suchen', '../kartei/kartei_suchen.php?action=a_search', '_blank', 'Karteikarte suchen'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Neue Karteikarte', '../kartei/kartei.php?action=a_ins_besitzer', '_blank', 'Neue Karteikarte'],  // Menue-Position
	],	// Folder Karteikarte Ende
	
	// Folder Abrechnung Anfang
	['<img src="../img/jscookmenu/spacer.gif">', ' Abrechnung ', '', '_self', 'description',   // Folder Anfang
		['<img src="../img/jscookmenu/spacer.gif">', 'Offene Behandlungen', '../kartei/offene_behandlungen.php', '_blank', 'Unbezahlte Behandlungen'],  // Menue-Position
		
		_cmSplit, //Absatzlinie
		
			// Submenue Sammelrechnugen
			['<img src="../img/jscookmenu/spacer.gif">', 'Rechnungen', '', '_self', 'Rechnungen',   // Anfang Submenue
				['<img src="../img/jscookmenu/spacer.gif">', 'Alle', '../rechnung/rechnung.php?action=a_browse', '_blank', 'Alle'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Bezahlte', '../rechnung/rechnung.php?action=a_browse&zahlstatus=bezahlt', '_blank', 'Bezahlte'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Unbezahlte', '../rechnung/rechnung.php?action=a_browse&zahlstatus=unbezahlt', '_blank', 'Unbezahlte'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', '&Uuml;berf&auml;llige', '../rechnung/rechnung.php?action=a_browse&zahlstatus=uberfallig', '_blank', '&Uuml;berf&auml;llige'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Stornierte', '../rechnung/rechnung.php?action=a_browse&zahlstatus=storno', '_blank', 'Stornierte'],  // Menue-Position
			],	// Submenue Sammelrechnugen Ende
			
		_cmSplit, //Absatzlinie
		
			// Submenue Einzeilrechnugen
			['<img src="../img/jscookmenu/spacer.gif">', 'Einzelrechnugen (altes Schema)', '', '_self', 'Einzelrechnugen (altes Schema)',   // Anfang Submenue
				['<img src="../img/jscookmenu/spacer.gif">', 'Bezahlte', '../kartei/einzelrechnungen_bez.php', '_blank', 'Bezahlte'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Unbezahlte', '../kartei/einzelrechnungen_offen.php', '_blank', 'Unbezahlte'],  // Menue-Position
			],	// Submenue Einzelrechnugen Ende
			
		_cmSplit, //Absatzlinie
		
		['<img src="../img/jscookmenu/spacer.gif">', 'Zahlungseing&auml;nge', '../tools/zahlung_abgabe.php', '_blank', 'Zahlungseingaenge'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Kassenabrechnungen', '../tools/kasse.php?action=a_browse', '_blank', 'Kassenabrechnungen'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Ums&auml;tze - Bilanzierung', '../tools/umsatz_bilanz.php?action=a_browse', '_blank', 'Ums&auml;tze - Bilanzierung'],  // Menue-Position
		
	],	// Folder Abrechnung Ende
		
	// Folder Extras Anfang
	['<img src="../img/jscookmenu/spacer.gif">', ' Extras ', '', '_self', 'description',    // Folder Anfang
		['<img src="../img/jscookmenu/spacer.gif">', 'Aufgaben', '../tools/todo.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Bestellungen', '../tools/bestellung.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Wartezimmer', '../tools/wartezimmer.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'R&ouml;ntgen-Worklist', '../kartei/roe_worklist.php', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Impferinnerungen', '../tools/impferinnerung.php?action=a_browse ', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Welpen-Wachstumskurve', '../tools/f_puppy.php', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Wissensdatenbank - Suchen', '../tools/wissen.php', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Serienbriefe', '../tools/serienbrief.php', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'LDT-Datei einlesen', '../tools/readldt.php?action=a_input', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Weblinks', '../tools/showlink.php?action=a_list', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'VS Office Startseite ', '../home/start.php', '_blank', 'description'],  // Menue-Position
		
		_cmSplit, //Absatzlinie
		
			// Submenue Preislisten drucken
			['<img src="../img/jscookmenu/spacer.gif">', 'Preislisten drucken', '../tools/preislisten.php?typ=leistung', '_blank', 'description',   // Anfang Submenue
				['<img src="../img/jscookmenu/spacer.gif">', 'Leistungen', '../tools/preislisten.php?typ=leistung', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Medikamente', '../tools/preislisten.php?typ=medikament', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Impfungen', '../tools/preislisten.php?typ=impfung', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Tierfutter', '../tools/preislisten.php?typ=futter', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Fremdleistungen', '../tools/preislisten.php?typ=fremdleistung', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Verbrauchsmaterial', '../tools/preislisten.php?typ=verbrauchsmaterial', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Abgabewaren', '../tools/preislisten.php?typ=waren', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Standardbehandlungen', '../tools/preislisten.php?typ=standard', '_blank', 'description'],  // Menue-Position
			],	// Submenue Preislisten drucken Ende
			
			_cmSplit, //Absatzlinie
			
				// Submenue Bilanzierung Anfang
				['<img src="../img/jscookmenu/spacer.gif">', 'Bilanzierung', '', '_self', 'description',  // Anfang Submenue
					['<img src="../img/jscookmenu/spacer.gif">', 'Medikament-Zug&auml;nge', '../tools/med_zugang.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Medikament-Bilanz', '../tools/med_bilanz.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Impfstoff-Zug&auml;nge', '../tools/impfung_zugang.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Impfstoff-Bilanz', '../tools/impfung_bilanz.php?action=a_browse', '_blank', 'description'],  // Menue-Position
				],	// Submenue Bilanzierung Ende
	],	// Folder Extras Ende
	
	// Folder Stammdaten Anfang
	['<img src="../img/jscookmenu/spacer.gif">', 'Stammdaten', '', '_self', 'description',    // Folder Anfang
		
		//Submenue Leistungen
		['<img src="../img/jscookmenu/spacer.gif">', 'Leistungen', '', '_self', 'description',  //  Submenue Anfang
			['<img src="../img/jscookmenu/spacer.gif">', 'Geb&uuml;hren', '../stamm/leistung.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Medikamente', '../stamm/medikament.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Impfungen', '../stamm/impfung.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Tierfutter', '../stamm/futter.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Fremdleistungen', '../stamm/fremdleistung.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Verbrauchsmaterial', '../stamm/verbrauchsmaterial.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Abgabewaren', '../stamm/waren.php?action=a_browse', '_blank', 'description'],  // Menue-Position
			['<img src="../img/jscookmenu/spacer.gif">', 'Standardbehandlungen', '../stamm/standard.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		],	// Submenue Leistungen Ende
		
		_cmSplit, //Absatzlinie
		
		['<img src="../img/jscookmenu/spacer.gif">', 'Lieferanten', '../stamm/lieferant.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Laborwerte', '../stamm/laborwert.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Tierrassen', '../stamm/rasse.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Mustertexte', '../stamm/mustertext.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Textbausteine', '../stamm/textbaustein.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Wissensdatenbank', '../tools/wissen.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Weblinks', '../stamm/wwwlink.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		
		_cmSplit, //Absatzlinie
		
		//2015-08-27 KM: NEU Submenue-Datenbank Tabellen
		
		//Submenue Datenbank Tabellen
			['<img src="../img/jscookmenu/spacer.gif">', 'Datenbank-Tabellen', '', '_self', 'description',  //  Submenue Anfang
			
				//Submenue Besitzerkarte
				['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte', '', '_self', 'description',  //  Submenue Anfang
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: Anreden', '../stamm/db_tabelle_anrede.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: Titel', '../stamm/db_tabelle_titel.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: Briefanreden', '../stamm/db_tabelle_briefanrede.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: gruppe1', '../stamm/db_tabelle_gruppe1.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: gruppe2', '../stamm/db_tabelle_gruppe2.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: gruppe3', '../stamm/db_tabelle_gruppe3.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: gruppe4', '../stamm/db_tabelle_gruppe4.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzerkarte: gruppe5', '../stamm/db_tabelle_gruppe5.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Besitzer Event Typ', '../stamm/db_tabelle_bes_event_typ.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Status', '../stamm/db_tabelle_status.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					],	// Submenue Besitzerkarte Ende
					
				_cmSplit, //Absatzlinie
				
				//Submenue Besitzerkarte
				['<img src="../img/jscookmenu/spacer.gif">', 'Gruppen', '', '_self', 'description',  //  Submenue Anfang
					['<img src="../img/jscookmenu/spacer.gif">', 'Tierarten', '../stamm/db_tabelle_tierart.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Futtergruppen', '../stamm/db_tabelle_futter_gruppe.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Medikamentengruppen', '../stamm/db_tabelle_med_gruppe.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Verbrauchsmaterialgruppen', '../stamm/db_tabelle_verbrauchsmaterial_gruppe.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					['<img src="../img/jscookmenu/spacer.gif">', 'Warengruppen', '../stamm/db_tabelle_waren_gruppe.php?action=a_browse', '_blank', 'description'],  // Menue-Position
					],	// Submenue Gruppen Ende
					
				_cmSplit, //Absatzlinie
				
				['<img src="../img/jscookmenu/spacer.gif">', 'Labor Einheiten', '../stamm/db_tabelle_labor_einheit.php?action=a_browse', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Etikettenformate', '../stamm/db_tabelle_etikette.php?action=a_browse', '_blank', 'description'],  // Menue-Position
				['<img src="../img/jscookmenu/spacer.gif">', 'Datenbank-Versionen', '../stamm/db_tabelle_db_version.php?action=a_browse', '_blank', 'description'],  // Menue-Position
				
			],	// Submenue Leistungen Ende
		
		_cmSplit, //Absatzlinie
		
		['<img src="../img/jscookmenu/spacer.gif">', 'Benutzerverwaltung', '../stamm/user.php?action=a_browse', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Einstellungen', '../admin/admin.php', '_blank', 'description'],  // Menue-Position
		
	],	// Folder Stammdaten Ende
	
	// Folder Information Anfang
	['<img src="../img/jscookmenu/spacer.gif">', ' Information ', '', '_self', '',    // Folder Anfang
		//2014-01-12 KM: Neue Hilfe Seite help.html eingebunden.
		['<img src="../img/jscookmenu/spacer.gif">', 'Hilfe', '../hilfe/help.html', '_blank', 'description'],  // Menue-Position
		//2015-04-01 KM: Neue Seite index_install.html eingebunden.
		['<img src="../img/jscookmenu/spacer.gif">', 'Installation, Software', '../install-docs/index_install.html', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', 'Ein bi&szlig;chen Statistik', '../info/database.php', '_blank', 'description'],  // Menue-Position
		['<img src="../img/jscookmenu/spacer.gif">', '&Uuml;ber Vetsoft Office', '../info/info.php', '_blank', 'description'],  // Menue-Position
		
		_cmSplit, //Absatzlinie
		
		['<img src="../img/jscookmenu/spacer.gif">', 'PHP', '../info/phpinfo.php', '_blank', 'description'],    // Menue-Position
	],	// Folder Information Ende
		
		
	// Folder LOGOUT Anfang
	//2014-12-20 KM: neu LOGOUT jetzt im Menue oben
	['<img src="../img/jscookmenu/spacer.gif">', ' LOGOUT ', '', '_self', 'description',   // Folder Anfang
		['<img src="../img/jscookmenu/logout.gif">', 'LOGOUT', '../home/logout.php', '_self', 'description'],  // Menue-Position
	],	// Folder LOGOUT Ende
	
];	//Menue Ende
