<?php
/*
 *      vs_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */
 
//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8
 
//2015-08-24 KM: Versionsnummer aus vs_version.inc.php;
include_once "../vs_office_inc/vs_version.inc.php";


function navliste($text_1="",$text_2="",$text_3="",$help="")
{
	global $user_kurz;
	//2015-02-20 KM: Formatierung geaendert
	$nl= new vs_div("","","","","","vs_statusbar");
	
	// 2013-11-24 KM Bugfix
	// Datei /home/logout.php neu erstellt.
	
	// Die Fusszeile fuer die Kateikarten muss in /kartei/besitzer_functions.php angepasst werden.
	
	
	if($help !="")
	{
		//2014-01-15 KM: Hilfe in neuem Fenster und Sprung auf Position, jetzt vs_link_img
		//$hi=new vs_new_window_img("../img/help.gif",$help,600,400,50,50,$width="",$height="",$menubar=0);
		$hi=new vs_link_img("../img/help.gif",$help,$typ="_blank",$imgwidth="");
		$hi->set_title("Hilfe zum Thema");
		$nl->add($hi);
	}
	if($text_1 !="")
	{
		$nl->add(new vs_img("spacer_1","../img/vert_gray.gif "));
		$nl->add(new vs_text($text_1));
	}	
	if($text_2 !="")
	{
		$nl->add(new vs_img("spacer_2","../img/vert_gray.gif "));
		$nl->add(new vs_text($text_2));
	}	
	if($text_3 !="")
	{
		$nl->add(new vs_img("spacer_3","../img/vert_gray.gif "));
		$nl->add(new vs_text($text_3));
	}	
	else
	{
		//2015-01-16 KM: Hier jetzt User Login kurz
		$nl->add(new vs_img("spacer_4","../img/vert_gray.gif "));
		$nl->add(new vs_text("<span style=\"background-color:blue;color:yellow;font-weight:bold;\">".$user_kurz."</span>"));
		
		//2015-01-16 KM: Copyright eingefuegt
		$nl->add(new vs_img("spacer_4","../img/vert_gray.gif "));
		
		//2015-08-24 KM: Versionsnummer aus vs_version.inc.php;
		$nl->add(new vs_text("Vetsoft Office ". vs_version." &nbsp;&nbsp;&nbsp;&nbsp; 2005 - 2012 &copy; Dr. Norbert Klumpp &nbsp;&nbsp;&nbsp;&nbsp; 2013 - 2017 &copy; Vetsoft Office Projekt "));
	}
	return $nl;
}	



function check_in_stapos($db,$typ,$position_id)
{
	$nr=0;
	$sql ="select stapos_id  from vs_stapos where position_id = $position_id and typ = '$typ' ";
	$db->query($sql);
	$nr = $db->num_rows();
	return $nr;
}	

?>
