/*
 *      admin.js
 * 			JQuery-Script File zu admin.php
 *
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//  	Aktionen für die verschiedenen Buttons
//		21.03.2017	V1.0 EW
//

$(document).ready(function(){ 

	$("[id^=Menu]").click(function () {
		var MenuClass = $(this).attr('id');
		MenuClass=MenuClass.replace('Menu[','');
		MenuClass=MenuClass.replace(']','');
		$("#messages").html("<h3>"+MenuClass+"</h3>");
		jQuery.post (
			"SelectWorkBench.php",
			"MenuClass="+MenuClass,
			function(data) {
				$("#workbench").html(data);
			}
		)
	});

	$("[id^=_Reset]").click(function (e) {
   		BootstrapDialog.show({
			title: "<h3>Konfiguration rur&uuml;cksetzen?</h3>",
			message: "Die Konfiguration wird jetzt in den Auslieferungszustand zur&uuml;ckgesetzt<BR><BR><b>Konfiguration aktivieren</b> nicht vergessen",
			buttons: [{
				label: 'Abbruch',
				cssClass: 'btn-primary',
					action: function(dialogItself){
					dialogItself.close();
			}
		}, {
			label: 'zur&uuml;cksetzen',
			action: function(dialogItself){
				dialogItself.close();
		       	e.preventDefault();
				var msg = "#messages";
	       		ConfigInc="../vs_office_inc/config.inc.php.default";
				jQuery.post (
					"./ImportConfig-inc.php",
					"ci="+ConfigInc,
					function(data) {
						$(msg).empty().append(data).show('1000');
						setTimeout(function() {$(msg).hide('slow');
						}, 9000);
					}
				)
			} // end function(dialogItself)
		}]
		}); // end BootstrapDialog
	});

	$("[id^=_Restore]").click(function () {
		$("#messages").html("<h3>"+"Restore"+"</h3>");
		jQuery.post (
			"SelectBackup.php",
			"",
			function(data) {
				$("#workbench").html(data);
			}
		)
	});

       $("[id^=_Save]").click(function () {
   		BootstrapDialog.show({
			title: "<h3>Konfiguration aktivieren</h3>",
			message: "Die abgespeicherte Konfiguration wird jetzt in <b>vetsoft</b> aktiviert",
			buttons: [{
				label: 'Abbruch',
				cssClass: 'btn-primary',
					action: function(dialogItself){
						dialogItself.close();
			}
		}, {
			label: 'Aktivieren',
			action: function(dialogItself){
				dialogItself.close();
				jQuery.post (
					"create_config-inc.php","?",
					function(data) {
						$("#workbench").html("<h2>Konfiguration aktivert</h2>"+data);
					}
				)
			} // end function(dialogItself)
		}]
		}); // end BootstrapDialog
	});
        $("[id^=_Shutdown]").click(function () {
   		BootstrapDialog.show({
			title: "<h3>Server herunterfahren</h3>",
			message: "Soll der vetsoft-Server heruntergefahren werden?<br>Alle Verbindungen werden abgebrochen.<BR>Der Server wird ausgeschaltet.",
			buttons: [{
				label: 'Abbruch',
				cssClass: 'btn-primary',
					action: function(dialogItself){
					dialogItself.close();
			}
		}, {
			label: 'Herunterfahren',
			action: function(dialogItself){
				dialogItself.close();
				jQuery.post (
					"shutdown.php","?",
					function(data) {
						$("#workbench").html("<h2>Shutdown gestartet</h2>");
					}
				)
			} // end function(dialogItself)
		}]
		}); // end BootstrapDialog
	});
	
   	$("[id^=_Reboot]").click(function () {
   		BootstrapDialog.show({
			title: "<h3>Reboot Server</h3>",
			message: "Soll der vetsoft-Server neu gestartet werden?<br>Alle Verbindungen werden abgebrochen.",
			buttons: [{
				label: 'Abbruch',
				cssClass: 'btn-primary',
					action: function(dialogItself){
					dialogItself.close();
			}
		}, {
			label: 'Reboot',
			action: function(dialogItself){
				dialogItself.close();
				jQuery.post (
					"reboot.php","?",
					function(data) {
						$("#workbench").html("<h2>Reboot gestartet</h2>");
					}
				)
			} // end function(dialogItself)
		}]
		}); // end BootstrapDialog
	});

	$("[id^=_New]").click(function () {
		var MenuClass = $(this).attr('id');
		MenuClass=MenuClass.replace('Menu[','');
		MenuClass=MenuClass.replace(']','');
		jQuery.post (
			"NewConfigObject.php","",
			function(data) {
				$("#workbench").html(data);
			}
		)
	});
});
