#!/bin/bash
#

ESPEAK="/usr/bin/espeak"
EPARAM="-v de -s 130"

INTRO='Bitte folgendes im internetbrauser eingeben:'
ENDE="um vetsoft zu starten"
IFNAME="eth0"
IPTEXT=""

#=======================================================================
#=======================================================================
/usr/bin/amixer -q -D default sset PCM 85%

IP=`ifconfig $IFNAME | grep 'inet addr:' | cut -d: -f2 | cut -d " " -f 1`

for (( c=1; c<=${#IP}; c++ )) ; do
   T=`echo $IP | cut -c$c`
   if [ "$T" == "." ] ; then
      T="punkt"
   fi
   IPTEXT="$IPTEXT $T"
done

$ESPEAK $EPARAM  "$INTRO" 2> /dev/null
$ESPEAK $EPARAM  "$IPTEXT" 2> /dev/null
$ESPEAK $EPARAM  "$ENDE" 2> /dev/null
$ESPEAK $EPARAM  "ich wiederhole: $IPTEXT" 2> /dev/null
exit 0

