 <?php
/*
 *      logout.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8



// 2013-11-24 KM Bugfix
// KM: Diese Datei /home/logout.php neu erstellt.

// Initialisierung der Session.
session_start();

// Loeschen aller Session-Variablen.
$_SESSION = array();

// Falls die Session geloescht werden soll, auch das Session-Cookie loeschen.
// Achtung: Damit wird die Session geloescht, nicht nur die Session-Daten!
if (ini_get("session.use_cookies")) 
	{
	$params = session_get_cookie_params();
	setcookie(session_name(), '', time() - 42000);
	}

// Zum Schluss, loeschen der Session.
session_destroy();

// 2015-03-04 KM: geaendert
// Login-Maske aufrufen
header("Location: ../home/login_form.php"); 

?>
