/*
 *      kartei_suchen.js
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */




//------------------begin of file------------------------

//allgemeine Funktion zum Erzeigen des Requestobjectes incl. Browserweiche

function createXMLHttpRequest()
{
	var resObject = null;
	try
	{
		resObject = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (Error)
	{
		try
		{
			resObject = new ActiveXObject("MSXML2.XMLHTTP");
		}
		catch (Error)
		{
			try
			{
			resObject = new XMLHttpRequest();
			}
			catch (Error)
			{
				alert("VS-Office  Asynchrone Anforderung nicht moeglich. Ueberpruefen SIe Ihren Browser und  die Einstellungen.");
			}
		}
	}
	return resObject;
} 


function f_db2dis(s)
{
	var teile = s.split(".");
	var teil1       = teile[0];
	var teil2       = teile[1]; 
	return teil1+','+teil2;
}	


function f_dis2db(s)
{
	return s.replace(/,/g, ".");
}

var resObject;

resObject = createXMLHttpRequest();

   
//WICHTIG FUER DAS FUNKTIONIEREN MIT DEM MOZILLA FIREFOX
//MUSS IN DEN EINSTELLUNGEN / ERWEITERT / SUCHE BEREITS BEIM EINTIPPEN STARTEN DEAKTIVIERT SEIN!!!!!!!!!!!


function zielauswahlchange()
{
	auswahl=document.karte_suchen.ziel.value;
	if (auswahl=='1') //Karteikarte
	{
		document.karte_suchen.ta.style.visibility='hidden';
		//this.document.karte_suchen.memo.style.display='none';
	}   
	
	if (auswahl=='2') //Wartezimmer
	{
		document.karte_suchen.ta.style.visibility='visible';
		//this.document.karte_suchen.memo.style.display='inline';
	}  
}


function send_kk_search_req()
{  
	var krit=document.karte_suchen.krit.value;
	var wert=document.karte_suchen.wert.value;
	resObject.open('get','handle_kk_search.php?krit=' + krit +'&wert=' + wert,true);
	resObject.onreadystatechange = handle_kk_search_response;
	resObject.send(null);
}


function handle_kk_search_response()
{
	if (resObject.readyState==4)
	{
		var rt= resObject.responseText;
		
		var a = eval(" (" + rt + ")");
		if (a.success=='ok') 
		{
			document.getElementsByName("result_div")[0].innerHTML = a.inner_html_1;
			document.karte_suchen.wert.style.color='green';
		}
		else
		{
			document.getElementsByName("result_div")[0].innerHTML = a.inner_html_1;
			document.karte_suchen.wert.style.color='red';
		}
	}
}

function tastegedrueckt(Ereignis,Taste)
{
	if (!Ereignis)
	{
		Ereignis = window.event;
	}	
	if (Ereignis.which)
	{
		key_code = Ereignis.which;
	}
	else if (Ereignis.keyCode)
	{
		key_code = Ereignis.keyCode;
	}
	erg=false;
	if (key_code==Taste) 
	{
		erg=true;
	}
	return erg;
}



function kk_search_edit_key(Ereignis)
{
	if (tastegedrueckt(Ereignis,40)) // unten
	{
		lb=document.karte_suchen.lb_result;
		lb.selectedIndex = lb.selectedIndex + 1;
	}
	else if (tastegedrueckt(Ereignis,38)) //oben
	{
		lb=document.karte_suchen.lb_result;
		lb.selectedIndex = lb.selectedIndex  - 1;
	}
	else send_kk_search_req();
}
